OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.RobustnessCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBRobustness :: MonadIO m => m Bool
- gl_ARB_robustness :: Bool
- pattern GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield
- pattern GL_GUILTY_CONTEXT_RESET_ARB :: GLenum
- pattern GL_INNOCENT_CONTEXT_RESET_ARB :: GLenum
- pattern GL_LOSE_CONTEXT_ON_RESET_ARB :: GLenum
- pattern GL_NO_ERROR :: GLenum
- pattern GL_NO_RESET_NOTIFICATION_ARB :: GLenum
- pattern GL_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum
- pattern GL_UNKNOWN_CONTEXT_RESET_ARB :: GLenum
- glGetGraphicsResetStatusARB :: MonadIO m => m GLenum
- glGetnCompressedTexImageARB :: MonadIO m => GLenum -> GLint -> GLsizei -> Ptr a -> m ()
- glGetnTexImageARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetnUniformdvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glGetnUniformfvARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glGetnUniformivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glGetnUniformuivARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glReadnPixelsARB :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBRobustness :: MonadIO m => m Bool Source #

Is the ARB_robustness extension supported?

gl_ARB_robustness :: Bool Source #

Is the ARB_robustness extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBRobustness` in those cases instead.

# Enums

pattern GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT_ARB :: GLbitfield Source #

pattern GL_GUILTY_CONTEXT_RESET_ARB :: GLenum Source #

pattern GL_INNOCENT_CONTEXT_RESET_ARB :: GLenum Source #

pattern GL_LOSE_CONTEXT_ON_RESET_ARB :: GLenum Source #

pattern GL_NO_ERROR :: GLenum Source #

pattern GL_NO_RESET_NOTIFICATION_ARB :: GLenum Source #

pattern GL_RESET_NOTIFICATION_STRATEGY_ARB :: GLenum Source #

pattern GL_UNKNOWN_CONTEXT_RESET_ARB :: GLenum Source #

# Functions

glGetGraphicsResetStatusARB Source #

Arguments

:: MonadIO m |
=> m GLenum | of type GraphicsResetStatus.

glGetnCompressedTexImageARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `lod`.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnTexImageARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> GLsizei | `bufSize`.
-> Ptr a | `img` pointing to `bufSize` elements of type `a`.
-> m () |

glGetnUniformdvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLdouble | `params` pointing to `bufSize` elements of type `GLdouble`.
-> m () |

glGetnUniformfvARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLfloat | `params` pointing to `bufSize` elements of type `GLfloat`.
-> m () |

glGetnUniformivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |

glGetnUniformuivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLuint | `params` pointing to `bufSize` elements of type `GLuint`.
-> m () |

glReadnPixelsARB Source #

Arguments

:: MonadIO m |
=> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> GLsizei | `bufSize`.
-> Ptr a | `data` pointing to `bufSize` elements of type `a`.
-> m () |

This command is an alias for `glReadnPixels`.